import { defineComponent as $, computed as P, ref as p, watch as D, onMounted as we, nextTick as C, onUnmounted as fe, resolveComponent as N, createElementBlock as s, openBlock as c, createCommentVNode as u, createElementVNode as l, Fragment as G, withDirectives as W, vShow as U, normalizeStyle as j, createVNode as Y, withCtx as F, renderList as Se, toDisplayString as Ve, createStaticVNode as ye } from "vue";
import ge from "./resources/zv-vr-select.svg.mjs";
import _ from "./resources/zv-return.svg.mjs";
import he from "./resources/zv-add.svg.mjs";
import He from "./resources/zv-reduce.svg.mjs";
import be from "./resources/zv-play.svg.mjs";
import Je from "./resources/zv-pause.svg.mjs";
import ke from "./resources/zv-refresh.svg.mjs";
import M from "hls.js";
import { cloneDeep as H, isArray as Ee, debounce as Te } from "lodash";
import { useRoute as Ce } from "vue-router";
/* empty css                                     */
/* empty css                                     */
import "../../../Interaction/components/Tabs/index.mjs";
import "../../../Interaction/components/Tabs-icon/index.mjs";
import "../../../Interaction/components/Button/index.mjs";
import "../../../Interaction/components/DatePicker/index.mjs";
import "../../../Interaction/components/DatePickerRange/index.mjs";
import "../../../Interaction/components/Switch/index.mjs";
import "../../../Interaction/components/Input/index.mjs";
import "../../../Interaction/components/Select/index.mjs";
import "../../../Interaction/components/Slider/index.mjs";
import "../../../Text/components/List/index.mjs";
import "../../../Text/components/Text/index.mjs";
import "../../../Text/components/TextDynamic/index.mjs";
import "../../../Text/components/TableBasic/index.mjs";
import "../../../Text/components/TableScroll/index.mjs";
import "../../../Text/components/RowScroll/index.mjs";
import "../../../Text/components/RealTime/index.mjs";
import "../../../Text/components/OverNumber/index.mjs";
import "../../../Text/components/CountDown/index.mjs";
import "../../../Text/components/TextCarousel/index.mjs";
import "../../../Media/components/Audio/index.mjs";
import "../../../Media/components/Video/index.mjs";
import "../../../Media/components/VideoDynamic/index.mjs";
import "../../../Media/components/Carousel/index.mjs";
import "../../../Media/components/Flv/index.mjs";
import "../../../Media/components/Iframe/index.mjs";
import "../../../Media/components/IframeCarousel/index.mjs";
import "../../../Media/components/Image/index.mjs";
import "../../../Media/components/ImageDynamic/index.mjs";
import "../../../Media/components/M3u8/index.mjs";
import "../../../Media/components/Wavesurfer/index.mjs";
import "../../../Media/components/Weather/index.mjs";
import "../../../Media/components/Qrcode/index.mjs";
import "../../../Chart/components/bar/basic/index.mjs";
import "../../../Chart/components/bar/animation/index.mjs";
import "../../../Chart/components/bar/contrast/index.mjs";
import "../../../Chart/components/bar/contrast2/index.mjs";
import "../../../Chart/components/bar/contrast3/index.mjs";
import "../../../Chart/components/bar/gradient-column-chart/index.mjs";
import "../../../Chart/components/bar/horizontal/index.mjs";
import "../../../Chart/components/bar/horizontal-stack/index.mjs";
import "../../../Chart/components/bar/line-bar/index.mjs";
import "../../../Chart/components/bar/line-bar2/index.mjs";
import "../../../Chart/components/bar/loop/index.mjs";
import "../../../Chart/components/bar/mini/index.mjs";
import "../../../Chart/components/bar/polar/index.mjs";
import "../../../Chart/components/bar/polar-stack/index.mjs";
import "../../../Chart/components/bar/polar2/index.mjs";
import "../../../Chart/components/bar/radius-circle/index.mjs";
import "../../../Chart/components/bar/rank/index.mjs";
import "../../../Chart/components/bar/segmented-progress/index.mjs";
import "../../../Chart/components/bar/spire/index.mjs";
import "../../../Chart/components/bar/stack/index.mjs";
import "../../../Chart/components/bar/stack-line/index.mjs";
import "../../../Chart/components/bar/stack2/index.mjs";
import "../../../Chart/components/bar/stack3/index.mjs";
import "../../../Chart/components/bar/staggered/index.mjs";
import "../../../Chart/components/bar/three/index.mjs";
import "../../../Chart/components/bar/waterfall/index.mjs";
import "../../../Chart/components/bar/zebra/index.mjs";
import "../../../Chart/components/line/area-gradient/index.mjs";
import "../../../Chart/components/line/area-highlight/index.mjs";
import "../../../Chart/components/line/area-highlight2/index.mjs";
import "../../../Chart/components/line/basic/index.mjs";
import "../../../Chart/components/line/bump/index.mjs";
import "../../../Chart/components/line/dashed/index.mjs";
import "../../../Chart/components/line/ladder/index.mjs";
import "../../../Chart/components/line/logarithm/index.mjs";
import "../../../Chart/components/line/multix/index.mjs";
import "../../../Chart/components/line/polar-double/index.mjs";
import "../../../Chart/components/line/rain-flow/index.mjs";
import "../../../Chart/components/line/scale/index.mjs";
import "../../../Chart/components/line/smooth/index.mjs";
import "../../../Chart/components/line/smooth-area/index.mjs";
import "../../../Chart/components/line/stack/index.mjs";
import "../../../Chart/components/line/stack-area/index.mjs";
import "../../../Chart/components/line/temp/index.mjs";
import "../../../Chart/components/line/vertical/index.mjs";
import "../../../Chart/components/map/basic/index.mjs";
import "../../../Chart/components/map/bmap-basic/index.mjs";
import "../../../Chart/components/map/bmap-heatmap/index.mjs";
import "../../../Chart/components/map/bmap-rich/index.mjs";
import "../../../Chart/components/map/customize/index.mjs";
import "../../../Chart/components/map/lines/index.mjs";
import "../../../Chart/components/map/scatter/index.mjs";
import "../../../Chart/components/pie/3d/index.mjs";
import "../../../Chart/components/pie/basic/index.mjs";
import "../../../Chart/components/pie/basic2/index.mjs";
import "../../../Chart/components/pie/customized/index.mjs";
import "../../../Chart/components/pie/index/index.mjs";
import "../../../Chart/components/pie/interval/index.mjs";
import "../../../Chart/components/pie/legend-scroll/index.mjs";
import "../../../Chart/components/pie/radius/index.mjs";
import "../../../Chart/components/pie/rose/index.mjs";
import "../../../Chart/components/pie/round/index.mjs";
import "../../../Chart/components/pie/sunburst/index.mjs";
import "../../../Chart/components/scatter/basic/index.mjs";
import "../../../Chart/components/scatter/basic2/index.mjs";
import "../../../Chart/components/scatter/bubble/index.mjs";
import "../../../Chart/components/scatter/ripples/index.mjs";
import "../../../Chart/components/other/candlestick-basic/index.mjs";
import "../../../Chart/components/other/sunburst-basic/index.mjs";
import "../../../Chart/components/other/sunburst-basic2/index.mjs";
import "../../../Chart/components/other/sunburst-basic3/index.mjs";
import "../../../Chart/components/other/sunburst-basic4/index.mjs";
import "../../../Chart/components/other/sunburst-book/index.mjs";
import "../../../Chart/components/other/sunburst-flavors/index.mjs";
import "../../../Chart/components/other/sunburst-radius/index.mjs";
import "../../../Chart/components/other/funnel/index.mjs";
import "../../../Chart/components/other/funnel-contrast/index.mjs";
import "../../../Chart/components/other/funnel-split/index.mjs";
import "../../../Chart/components/other/funnel2/index.mjs";
import "../../../Chart/components/other/force/index.mjs";
import "../../../Chart/components/other/force2/index.mjs";
import "../../../Chart/components/other/gauge/index.mjs";
import "../../../Chart/components/other/gauge-grade/index.mjs";
import "../../../Chart/components/other/gauge-stage/index.mjs";
import "../../../Chart/components/other/graph-basic/index.mjs";
import "../../../Chart/components/other/graph-basic2/index.mjs";
import "../../../Chart/components/other/graph-calendar/index.mjs";
import "../../../Chart/components/other/circular-graph/index.mjs";
import "../../../Chart/components/other/heatmap/index.mjs";
import "../../../Chart/components/other/liquidfill/index.mjs";
import "../../../Chart/components/other/parallel-basic/index.mjs";
import "../../../Chart/components/other/parallel-mul/index.mjs";
import "../../../Chart/components/other/radar-stack/index.mjs";
import "../../../Chart/components/other/tree/index.mjs";
import "../../../Chart/components/other/tree-line/index.mjs";
import "../../../Chart/components/other/word-cloud/index.mjs";
import "../../../Chart/components/other/treemap/index.mjs";
import "../../../Chart/components/other/treemap-basic/index.mjs";
import "../../../Chart/components/other/label-gauge/index.mjs";
import "../../../Chart/components/other/grid-percentage/index.mjs";
import "../../../Chart/components/other/radar/index.mjs";
import "../../../Commons/components/CustomComponentRender/index.mjs";
import "../../../Commons/components/Graphical/index.mjs";
import "../../../Commons/components/Svg/index.mjs";
import "../../../Commons/components/ModelViewer/index.mjs";
import "../../../Commons/components/VrVideo/index.mjs";
import "../../../Commons/components/VrPhoto/index.mjs";
import "../../../Commons/components/Babylon/index.mjs";
import "../../../Commons/components/Echarts/index.mjs";
import "../../../Commons/components/GSViewer/index.mjs";
import "../Amap2d/index.mjs";
import "../Amap3d/index.mjs";
import "../Default/index.mjs";
import "../Map2d/index.mjs";
import "../Map3d/index.mjs";
import "../UeIframe/index.mjs";
import "../UeShj/index.mjs";
import "../UnityIframe/index.mjs";
import "../UnityWebgl/index.mjs";
import "./index.mjs";
import "../Earth/index.mjs";
import { SHJParseEvent as I } from "../../../../commons/plugins/event/index.mjs";
import "../../../../commons/plugins/datasource/utils/request.mjs";
import "mqtt";
import "nanoid";
import { upgradeVr as Ie } from "./version.mjs";
const Oe = {
  key: 0,
  class: "loading-placeholder"
}, Re = {
  id: "panorama",
  class: "vr-scene"
}, _e = {
  id: "panorama-video-wrap",
  class: "vr-scene-main"
}, Ae = {
  key: 2,
  class: "vr-scene-controls"
}, Le = { class: "scene-list" }, xe = ["onClick"], Pe = ["src"], je = { class: "label" }, Me = ["autoplay", "loop", "volume"], ze = ["src"], Be = {
  key: 4,
  class: "mouse-tip"
}, De = $({ name: "ShjVr" }), Xr = /* @__PURE__ */ $({
  ...De,
  props: {
    option: {},
    sources: {},
    useEvents: {}
  },
  emits: [
    "on-scene-loaded",
    "on-scene-scenechange",
    "on-scene-zooming",
    "on-scene-hotClick"
  ],
  setup(y, { expose: Z, emit: K }) {
    const q = Ce(), t = P(() => Ie(y.option)), b = K, w = p(), f = p({ src: "", autoplay: !0, loop: !0, volume: 50 }), m = p(null), S = p(null), A = p(), v = p(!1), V = p(!1);
    let J = null;
    const Q = p(t.value.default.firstScene), g = p(Q.value), r = P(() => {
      try {
        return t.value.scenes[g.value];
      } catch {
        return null;
      }
    }), z = {
      bylineLabel: "来自 %s",
      noPanoramaError: "未指定全景图像。",
      fileAccessError: "The file %s could not be accessed.",
      malformedURLError: "全景URL无法访问。",
      iOS8WebGLError: "Due to iOS 8's broken WebGL implementation, only progressive encoded JPEGs work for your device (this panorama uses standard encoding).",
      genericWebGLError: "您的浏览器没有显示此全景图所需的WebGL支持。",
      textureSizeError: "This panorama is too big for your device! It's %spx wide, but your device only supports images up to %spx wide. Try another device. (If you're the author, try scaling down the image.)",
      unknownError: "未知错误。检查开发人员控制台。"
    }, X = () => {
      const o = H(t.value);
      window.SHJSceneVrViewer = window.pannellum.viewer("panorama", {
        ...o,
        default: Object.assign(H(o.default), {
          firstScene: g.value
        }),
        strings: z
      });
    }, ee = () => {
      var n, a;
      const o = () => {
        const d = document.getElementById("panorama-video-wrap");
        d.innerHTML = `
            <video
                id="panorama-video"
                autoplay
                muted
                playsinline
                class="video-js vjs-default-skin vr-scene vjs-big-play-centered"
                preload="none"
                style="width:100%;height:100%;"
                crossorigin="anonymous"
            >
            </video>
        `;
      };
      m.value && (m.value.dispose(), m.value = null, o()), m.value || o();
      const e = document.getElementById(
        "panorama-video"
      ), i = H(t.value);
      if (m.value = window.videojs(e, {
        loop: !0,
        autoplay: !0,
        muted: !0,
        controls: !1,
        plugins: {
          pannellum: {
            ...i,
            default: Object.assign(H(i.default), {
              firstScene: g.value
            }),
            strings: z
          }
        }
      }), window.SHJSceneVrViewer = m.value.pnlmViewer, r.value.sceneType === "video" && (e.muted = !0, e.src = r.value.panorama, (n = e.play) == null || n.call(e).catch(() => {
      })), r.value.sceneType === "hls")
        if (M.isSupported()) {
          if (S.value)
            try {
              S.value.destroy();
            } catch {
            }
          const d = new M();
          S.value = d, d.loadSource(r.value.panorama), d.attachMedia(e), d.on(M.Events.MANIFEST_PARSED, () => {
            e.muted = !0, e.play();
          });
        } else e.canPlayType("application/vnd.apple.mpegurl") && (e.src = r.value.panorama, e.muted = !0, (a = e.play) == null || a.call(e).catch(() => {
        }));
    }, k = q.path.includes("designer-vr"), h = (o = !1) => {
      if (!(!o && (!v.value || V.value))) {
        if (o) {
          if (V.value = !1, window.SHJSceneVrViewer) {
            try {
              window.SHJSceneVrViewer.destroy();
            } catch {
            }
            window.SHJSceneVrViewer = null;
          }
          if (m.value) {
            try {
              m.value.dispose();
            } catch {
            }
            m.value = null;
          }
          if (S.value) {
            try {
              S.value.destroy();
            } catch {
            }
            S.value = null;
          }
          const e = document.getElementById(
            "panorama-video"
          );
          if (e && (e.pause(), e.src = "", e.srcObject = null, e.load(), e.hls))
            try {
              e.hls.destroy(), e.hls = null;
            } catch {
            }
          const i = document.getElementById("panorama-video-wrap");
          i && (i.innerHTML = "");
        }
        if (window.pannellum && t.value) {
          if (!o && window.SHJSceneVrViewer) {
            try {
              window.SHJSceneVrViewer.destroy();
            } catch {
            }
            window.SHJSceneVrViewer = null;
          }
          r.value.sceneType === "image" ? X() : ee();
          try {
            t.value.scenes[window.SHJSceneVrViewer.getScene()] && (f.value = t.value.default.audio, w.value && f.value && (window.SHJSceneVrViewer.audio = w, w.value.src = f.value.src, setTimeout(() => {
              w.value && (T.value = w.value.paused);
            }, 500)));
          } catch {
          }
          window.SHJSceneVrViewer.on("load", () => {
            b("on-scene-loaded", r.value), I.parseEvents(
              y.useEvents,
              "on-scene-loaded",
              r.value
            );
          }), k || t.value.default.autoRotate === 0 ? window.SHJSceneVrViewer.stopAutoRotate() : window.SHJSceneVrViewer.startAutoRotate();
          try {
            window.SHJSceneVrViewer && async function() {
              const e = H(t.value.scenes);
              for (const i in e)
                Object.prototype.hasOwnProperty.call(e, i) && e[i].hotSpots.forEach(async (a) => {
                  await setTimeout(() => {
                    const d = H(a);
                    d.draggable = k, window.SHJSceneVrViewer.removeHotSpot(d.id, i), window.SHJSceneVrViewer.addHotSpot(d, i);
                  }, 100);
                });
            }();
          } catch {
          }
          window.SHJSceneVrViewer.on("scenechange", (e) => {
            const i = document.getElementsByTagName("video");
            if (Ee(i) && i.length > 0 && i.forEach((n) => {
              n && n.pause();
            }), r.value) {
              const n = r.value.sceneType;
              g.value = e;
              const a = r.value.sceneType;
              setTimeout(() => {
                (a !== "image" || n !== "image" && a === "image" || n !== a) && h(!0), O.value = g.value, b("on-scene-scenechange", r.value), I.parseEvents(
                  y.useEvents,
                  "on-scene-scenechange",
                  r.value
                );
              }), k ? window.SHJSceneVrViewer.stopAutoRotate() : window.SHJSceneVrViewer.startAutoRotate();
            } else
              g.value = t.value.default.firstScene, C(() => {
                h(), b("on-scene-scenechange", r.value), I.parseEvents(
                  y.useEvents,
                  "on-scene-scenechange",
                  r.value
                );
              });
          }), window.SHJSceneVrViewer.on(
            "zoomchange",
            Te(() => {
              b("on-scene-zooming", r.value), I.parseEvents(
                y.useEvents,
                "on-scene-zooming",
                r.value
              );
            }, 300)
          ), window.SHJSceneVrViewer.on("hot-click", (e) => {
            b("on-scene-hotClick", e), I.parseEvents(y.useEvents, "on-scene-hotClick", e);
          }), V.value = !0;
        }
      }
    }, te = () => {
      if (A.value) {
        if (!("IntersectionObserver" in window)) {
          v.value = !0, C(() => {
            h();
          });
          return;
        }
        J = new IntersectionObserver(
          (o) => {
            o.forEach((e) => {
              v.value = e.isIntersecting, e.isIntersecting && !V.value && C(() => {
                h();
              });
            });
          },
          {
            threshold: 0.1,
            // 当10%的组件可见时触发
            rootMargin: "50px"
            // 提前50px开始加载
          }
        ), J.observe(A.value);
      }
    }, oe = () => {
      V.value || (v.value = !0, C(() => {
        h();
      }));
    }, re = () => {
      J && (J.disconnect(), J = null);
    }, O = p(t.value.default.firstScene), ie = P(() => {
      const o = [];
      if (t.value) {
        const e = t.value.scenes;
        for (const i in e)
          if (Object.prototype.hasOwnProperty.call(e, i)) {
            const n = e[i];
            o.push({
              label: n.label,
              value: i,
              thumbnail: n.cover
            });
          }
      }
      return o.sort((e, i) => {
        const n = parseInt(e.value.replace("scene", "")), a = parseInt(i.value.replace("scene", ""));
        return n - a;
      });
    });
    D(
      () => t.value.default,
      () => {
        window.SHJSceneVrViewer && (k ? window.SHJSceneVrViewer.stopAutoRotate() : window.SHJSceneVrViewer.startAutoRotate());
      },
      { deep: !0 }
    );
    const ne = (o) => {
      window.SHJSceneVrViewer && O.value !== o && (O.value = o, window.SHJSceneVrViewer.isLoaded() && (window.SHJSceneVrViewer.loadScene(o), k ? window.SHJSceneVrViewer.stopAutoRotate() : window.SHJSceneVrViewer.startAutoRotate()));
    }, L = p(), E = p(!0), le = () => {
      E.value ? L.value.style.bottom = "-999px" : L.value.style.bottom = "80px", E.value = !E.value;
    };
    we(() => {
      t.value && (t.value.default.controls === void 0 && (t.value.default.controls = r.value.controls), t.value.default.audio === void 0 && (t.value.default.audio = r.value.audio)), te(), ve();
    }), D(v, (o) => {
      o && !V.value && C(() => {
        h();
      });
    }), fe(() => {
      if (re(), window.SHJSceneVrViewer) {
        try {
          window.SHJSceneVrViewer.destroy();
        } catch {
        }
        window.SHJSceneVrViewer = null;
      }
      if (m.value) {
        try {
          m.value.dispose();
        } catch {
        }
        m.value = null;
      }
      if (S.value) {
        try {
          S.value.destroy();
        } catch {
        }
        S.value = null;
      }
    });
    const ae = () => {
      window.SHJSceneVrViewer.setPitch(window.SHJSceneVrViewer.getPitch() + 10);
    }, se = () => {
      window.SHJSceneVrViewer.setPitch(window.SHJSceneVrViewer.getPitch() - 10);
    }, ce = () => {
      window.SHJSceneVrViewer.setYaw(window.SHJSceneVrViewer.getYaw() - 10);
    }, ue = () => {
      window.SHJSceneVrViewer.setYaw(window.SHJSceneVrViewer.getYaw() + 10);
    }, pe = () => {
      window.SHJSceneVrViewer.setHfov(window.SHJSceneVrViewer.getHfov() - 10);
    }, me = () => {
      window.SHJSceneVrViewer.setHfov(window.SHJSceneVrViewer.getHfov() + 10);
    }, T = p(!1), B = (o) => {
      w.value && (o === "play" ? (w.value.play(), T.value = !1) : (w.value.pause(), T.value = !0));
    }, de = () => {
      window.SHJSceneVrViewer.startAutoRotate();
    };
    let x;
    const R = p(!1), ve = () => {
      t.value.default.controls ? R.value = t.value.default.controls.mouseTipShow : R.value = !0, x && clearTimeout(x), x = setTimeout(() => {
        R.value = !1;
      }, 3500);
    };
    return Z({
      forceInit: oe,
      isVisible: v,
      isInitialized: V
    }), (o, e) => {
      const i = N("el-tooltip"), n = N("el-scrollbar");
      return c(), s("div", {
        ref_key: "containerRef",
        ref: A,
        class: "vr-scene-wrap"
      }, [
        !v.value && !V.value ? (c(), s("div", Oe, e[2] || (e[2] = [
          l("div", { class: "loading-content" }, [
            l("div", { class: "loading-spinner" }),
            l("p", null, "全景场景加载中...")
          ], -1)
        ]))) : u("", !0),
        r.value && v.value ? (c(), s(G, { key: 1 }, [
          W(l("div", Re, null, 512), [
            [U, r.value.sceneType === "image"]
          ]),
          W(l("div", _e, null, 512), [
            [U, r.value.sceneType !== "image"]
          ])
        ], 64)) : u("", !0),
        t.value.default.controls && v.value ? (c(), s("div", Ae, [
          t.value.default.controls.scene ? (c(), s("div", {
            key: 0,
            class: "btn-icon left",
            style: j({ borderColor: E.value ? "#ff7d00" : "#ffffff3d" }),
            onClick: le
          }, [
            Y(i, { content: "场景选择" }, {
              default: F(() => e[3] || (e[3] = [
                l("img", {
                  src: ge,
                  alt: ""
                }, null, -1)
              ])),
              _: 1,
              __: [3]
            })
          ], 4)) : u("", !0),
          t.value.default.controls.left ? (c(), s("div", {
            key: 1,
            class: "btn-icon left",
            onClick: ce
          }, e[4] || (e[4] = [
            l("img", {
              src: _,
              alt: ""
            }, null, -1)
          ]))) : u("", !0),
          t.value.default.controls.right ? (c(), s("div", {
            key: 2,
            class: "btn-icon right",
            onClick: ue
          }, e[5] || (e[5] = [
            l("img", {
              src: _,
              alt: ""
            }, null, -1)
          ]))) : u("", !0),
          t.value.default.controls.top ? (c(), s("div", {
            key: 3,
            class: "btn-icon up",
            onClick: ae
          }, e[6] || (e[6] = [
            l("img", {
              src: _,
              alt: ""
            }, null, -1)
          ]))) : u("", !0),
          t.value.default.controls.bottom ? (c(), s("div", {
            key: 4,
            class: "btn-icon down",
            onClick: se
          }, e[7] || (e[7] = [
            l("img", {
              src: _,
              alt: ""
            }, null, -1)
          ]))) : u("", !0),
          t.value.default.controls.magnify ? (c(), s("div", {
            key: 5,
            class: "btn-icon",
            onClick: pe
          }, e[8] || (e[8] = [
            l("img", {
              src: he,
              alt: ""
            }, null, -1)
          ]))) : u("", !0),
          t.value.default.controls.shrink ? (c(), s("div", {
            key: 6,
            class: "btn-icon",
            onClick: me
          }, e[9] || (e[9] = [
            l("img", {
              src: He,
              alt: ""
            }, null, -1)
          ]))) : u("", !0),
          T.value && f.value.src && t.value.default.audio ? (c(), s("div", {
            key: 7,
            class: "btn-icon",
            onClick: e[0] || (e[0] = (a) => B("play"))
          }, e[10] || (e[10] = [
            l("img", {
              src: be,
              alt: ""
            }, null, -1)
          ]))) : u("", !0),
          !T.value && f.value.src && t.value.default.audio ? (c(), s("div", {
            key: 8,
            class: "btn-icon",
            onClick: e[1] || (e[1] = (a) => B("pause"))
          }, e[11] || (e[11] = [
            l("img", {
              src: Je,
              alt: ""
            }, null, -1)
          ]))) : u("", !0),
          t.value.default.controls.rotate ? (c(), s("div", {
            key: 9,
            class: "btn-icon",
            onClick: de
          }, e[12] || (e[12] = [
            l("img", {
              src: ke,
              alt: ""
            }, null, -1)
          ]))) : u("", !0)
        ])) : u("", !0),
        t.value.default.controls && v.value ? (c(), s("div", {
          key: 3,
          ref_key: "sceneMenuRef",
          ref: L,
          class: "scene-menu",
          style: j({
            bottom: E.value && t.value.default.controls.scene ? "80px" : "-9999999999999px"
          })
        }, [
          Y(n, null, {
            default: F(() => [
              l("div", Le, [
                (c(!0), s(G, null, Se(ie.value, (a) => (c(), s("div", {
                  key: a.value,
                  class: "scene-item",
                  style: j({
                    borderColor: O.value === a.value ? "#ff7d00" : "#fff"
                  }),
                  onClick: (d) => ne(a.value)
                }, [
                  l("img", {
                    class: "thumbnail",
                    src: a.thumbnail
                  }, null, 8, Pe),
                  l("p", je, Ve(a.label), 1)
                ], 12, xe))), 128))
              ])
            ]),
            _: 1
          })
        ], 4)) : u("", !0),
        l("audio", {
          ref_key: "audioRef",
          ref: w,
          autoplay: f.value.autoplay,
          loop: f.value.loop,
          volume: f.value.volume
        }, [
          l("source", {
            src: f.value.src
          }, null, 8, ze)
        ], 8, Me),
        R.value && v.value ? (c(), s("div", Be, e[13] || (e[13] = [
          ye('<div class="icon-wrap" data-v-5d09e9c5><div class="left" data-v-5d09e9c5><i class="iconfont zv-drop-down" data-v-5d09e9c5></i></div><i class="iconfont zv-mouse" data-v-5d09e9c5></i><div class="right" data-v-5d09e9c5><i class="iconfont zv-drop-down" data-v-5d09e9c5></i></div></div><p class="title" data-v-5d09e9c5>左右拖动   更多精彩</p>', 2)
        ]))) : u("", !0)
      ], 512);
    };
  }
});
export {
  Xr as default
};
